=== debian/changelog ===
gitlab (17.6.5-19) unstable; urgency=medium

  * Don't manually install openssl gem (ruby 3.1 is no longer supported)
  * Use json5 to clean up package.json (fixes yarn install failure)

 -- Pirate Praveen <praveen@debian.org>  Thu, 10 Jul 2025 14:12:36 +0200

gitlab (17.6.5-18) unstable; urgency=medium

  * Run db:seed_fu for new installations (Work around for #1107585)

 -- Pirate Praveen <praveen@debian.org>  Wed, 09 Jul 2025 15:53:07 +0200

gitlab (17.6.5-17) unstable; urgency=medium

  * Remove packageManager field added to package.json by yarnpkg

 -- Pirate Praveen <praveen@debian.org>  Sat, 14 Jun 2025 01:33:05 +0530

gitlab (17.6.5-16) unstable; urgency=medium

  * Add ruby-prometheus-client-mmap as dependency

 -- Pirate Praveen <praveen@debian.org>  Fri, 13 Jun 2025 19:14:42 +0530

gitlab (17.6.5-15) unstable; urgency=medium

  * Drop dependency on ruby-webauthn

 -- Pirate Praveen <praveen@debian.org>  Sat, 03 May 2025 00:14:18 +0530

gitlab (17.6.5-14) unstable; urgency=medium

  * Drop ruby-sidekiq-cron and ruby-fugit dependencies

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Apr 2025 15:58:15 +0530

gitlab (17.6.5-13) unstable; urgency=medium

  * Drop dependency on ruby-sprockets-rails and ruby-terser

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Apr 2025 12:39:05 +0530

gitlab (17.6.5-12) unstable; urgency=medium

  * Drop dependency on ruby-omniauth-auth0 and ruby-jira

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Apr 2025 01:43:28 +0530

gitlab (17.6.5-11) unstable; urgency=medium

  * Drop dependency on ruby-redis-actionpack and ruby-redis-store

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Apr 2025 19:09:03 +0530

gitlab (17.6.5-10) unstable; urgency=medium

  * Drop ruby-octokit and ruby-licensee dependencies

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Apr 2025 15:15:11 +0530

gitlab (17.6.5-9) unstable; urgency=medium

  * Drop ruby-grape-entity and ruby-kas-grpc dependencies
  * Drop ruby-grape-* from dependencies

 -- Pirate Praveen <praveen@debian.org>  Thu, 17 Apr 2025 16:10:37 +0530

gitlab (17.6.5-8) unstable; urgency=medium

  * Make sure we have ruby 3.3 and older libruby is removed (via conflicts)
  * Drop dependency on ruby-omniauth-ldap, ruby-omniauth-kerberos,
    ruby-responders

 -- Pirate Praveen <praveen@debian.org>  Thu, 17 Apr 2025 14:42:18 +0530

gitlab (17.6.5-7) unstable; urgency=medium

  * Remove gem uninstall command for concurrent-ruby in postinst
  * Drop dependency on ruby-saml and ruby-omniauth-saml

 -- Pirate Praveen <praveen@debian.org>  Thu, 17 Apr 2025 00:36:41 +0530

gitlab (17.6.5-6) unstable; urgency=medium

  * Drop ruby-google-protobuf, ruby-pg-query and ruby-grpc dependencies
  * Remove X?-Ruby-Versions fields from d/control

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Apr 2025 17:33:27 +0530

gitlab (17.6.5-5) unstable; urgency=medium

  * Update minimum version of golang-github-aws-smithy-go-dev
  * Remove more obsolete feature flags
  * Drop dependency on ruby-omniauth-oauth and ruby-icalendar

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Apr 2025 01:23:08 +0530

gitlab (17.6.5-4) unstable; urgency=medium

  * Drop ruby-devise and ruby-mail-room dependencies
  * Set ROOT_PATH to /var/lib/gitlab for pdfjs-dist
  * Set NODE_OPTIONS="--max-old-space-size" from 4096 to 7168

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 Apr 2025 01:57:55 +0530

gitlab (17.6.5-3) unstable; urgency=medium

  * Drop ruby-devise-two-factor and ruby-graphlient dependencies

 -- Pirate Praveen <praveen@debian.org>  Fri, 11 Apr 2025 23:10:41 +0530

gitlab (17.6.5-2) unstable; urgency=medium

  * Create shared/artifacts/tmp directory
  * Remove initializer that patched sprockets 3.x (we have 4)
  * Create secrets.yml in a directory writeable by gitlab user

 -- Pirate Praveen <praveen@debian.org>  Wed, 09 Apr 2025 23:24:43 +0530

gitlab (17.6.5-1) unstable; urgency=medium

  * Update minimum version of ruby-bundler to 2.6 for --prefer-local option
  * New upstream version 17.6.5
  * Refresh patches
  * Update upstream files list

 -- Pirate Praveen <praveen@debian.org>  Sun, 06 Apr 2025 23:55:15 +0530

gitlab (17.5.5-6) unstable; urgency=medium

  * Always set yarn version to classic

 -- Pirate Praveen <praveen@debian.org>  Sat, 05 Apr 2025 03:09:40 +0530

gitlab (17.5.5-5) unstable; urgency=medium

  * Handles secrets.yml via ucf (gitlab now needs the example file)
  * Drop all gems except prometheus-client-mmap from gem-install.list
  * Remove sprockets_patch.rb initializer
    (this should be reverted in bookworm-fasttrack branch)

 -- Pirate Praveen <praveen@debian.org>  Sat, 05 Apr 2025 01:45:16 +0530

gitlab (17.5.5-4) unstable; urgency=medium

  * Drop custom gem installs from gitlab.postinst
  * Drop ruby-gitlab-labkit and ruyb-thrift from dependencies
  * Drop ruby-prometheus-client-mmap dependency
  * Lock gitlab-glfm-markdown to 0.0.21 using a patch
  * Lock concurrent-ruby to 1.3.4

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Apr 2025 13:17:18 +0530

gitlab (17.5.5-3) unstable; urgency=medium

  * Drop ruby-premailer-rails dependency
  * Switch gitaly to gitaly-installer in recommends

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Apr 2025 01:31:41 +0530

gitlab (17.5.5-2) unstable; urgency=medium

  * Drop ruby-view-component as dependency
  * Switch to --prefer-local from --local for bundle install
    (This makes all rubygems dependencies as optional, any
    dependency not found locally will be fetched from rubygems.org).
  * Add git as an explicit dependency for gitlab-security_report_schemas
  * Remove obsolete feature_flags
  * Update css building commands
  * yarn needs node-gyp for building some node modules

 -- Pirate Praveen <praveen@debian.org>  Wed, 02 Apr 2025 22:29:40 +0530

gitlab (17.5.5-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Drop ruby-omniauth-openid-connect - it'll be dropped from the archive

  [ Pirate Praveen ]

