=== debian/tests/control ===
Tests: spec
Depends: @, 
  sudo,
  gem2deb-test-runner,
# For building native gems
  ruby-rspec,
  ruby-dev,
  gcc,
  libc6-dev,
  ruby-sqlite3,
# For building gitlab-shell
  golang-any,
# Dependencies in test group
  ruby-fuubar (>= 2.2~),
  ruby-rspec-retry (>= 0.6.1~),
  ruby-rspec-profiling,
  ruby-rspec-parameterized,
  ruby-capybara,
  ruby-selenium-webdriver (>= 3.142~),
  ruby-shoulda-matchers (>= 4.0.1~),
  ruby-email-spec (>= 2.2~),
  ruby-json-schema (>= 2.8~),
  ruby-webmock (>= 3.5.1~),
  ruby-rails-controller-testing,
  ruby-test-prof (>= 0.12~),
  ruby-rspec-junit-formatter,
  ruby-bullet,
  ruby-pry-byebug (>= 3.5.1~),
  ruby-pry-rails,
  ruby-awesome-print,
  ruby-database-cleaner (>= 1.7~),
  ruby-rspec-rails (>= 4.0~beta3~),
  ruby-ffaker (>= 2.10~),
  ruby-spring (>= 2.0~),
  ruby-spring-commands-rspec,
  ruby-simplecov,
  ruby-knapsack,
  ruby-simple-po-parser,
  ruby-timecop (>= 0.9.1~),
  ruby-png-quantizator,
  ruby-parallel (>= 1.19~),
  ruby-rblineprof
Restrictions: needs-root, needs-internet
