## gitlab api-25.9.8

=== requirements.txt ===
requests>=2.8.1
urllib3>=2.2.2
pydantic[email]>=2.8.2
SQLAlchemy>=2.0.36
alembic>=1.14.1
tenacity>=9.0.0
fastmcp>=2.11.3
