## gitlab api-25.12.0

=== requirements.txt ===
requests>=2.8.1
urllib3>=2.2.2
pydantic[email]>=2.8.2
alembic>=1.14.1
tenacity>=9.0.0
fastmcp>=2.12.4
gql>=4.0.0
